<?php
define('PROTECTOR', 1);

include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
$textl='Админ-панель';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
$time=time();
$lt=$time-3600;
if($udata['prava']<2){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}

switch($_GET['mod']){

//-----МЕНЮ-----//
default:
$teme=$time-259200;
$temp=mysql_num_rows(mysql_query("SELECT * FROM `temp` WHERE `status` = 'off' AND `ltime` < '$lt'"));
$logi=mysql_num_rows(mysql_query("SELECT `usr` FROM `log`"));
$tmp=mysql_num_rows(mysql_query("SELECT `usr` FROM `tmp`"));
$regs=mysql_num_rows(mysql_query("SELECT * FROM `set` WHERE `datareg` > '$teme'"));
$refs=mysql_num_rows(mysql_query("SELECT * FROM `referer`"));

echo'<div class="main"><div class="block_zero center">Действия над игроками</div><div class="mini-line"></div><div class="menuList">';

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=1"><img src="image/icon/arrow.png" alt="*">Регистрации за последние 3 дня ('.$regs.')</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=2"><img src="image/icon/arrow.png" alt="*">Реферы ('.$refs.')</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=3"><img src="image/icon/arrow.png" alt="*">Поиск по ip</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=4"><img src="image/icon/arrow.png" alt="*">Редактировать игрока</a></li>';
}

if($udata['prava']>=2){
echo'<li><a href="adm_panel.php?mod=5"><img src="image/icon/arrow.png" alt="*">Наложить бан</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=6"><img src="image/icon/arrow.png" alt="*">Список забаненых</a></li>';
}
if($udata['prava']>=5){
echo'</div><div class="mini-line"></div><div class="block_zero center">САЙТ</div><div class="mini-line"></div><div class="menuList">';
}
if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=7"><img src="image/icon/arrow.png" alt="*">Добавить новость</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=8"><img src="image/icon/arrow.png" alt="*">Добавить объявление</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=9"><img src="image/icon/arrow.png" alt="*">Библиотека</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=10"><img src="image/icon/arrow.png" alt="*">Добавить статью</a></li>';
}
if($udata['prava']>=5){
echo'</div><div class="mini-line"></div><div class="block_zero center">БОССЫ</div><div class="mini-line"></div><div class="menuList">';
}
if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=13"><img src="image/icon/arrow.png" alt="*">Создать Босса</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=14"><img src="image/icon/arrow.png" alt="*">Управление Боссами</a></li>';
}
if($udata['prava']>=5){
echo'</div><div class="mini-line"></div><div class="block_zero center">ВООРУЖЕНИЕ</div><div class="mini-line"></div><div class="menuList">';
}
if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=15"><img src="image/icon/arrow.png" alt="*">Создать Вооружение</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=16"><img src="image/icon/arrow.png" alt="*">Управление Вооружением</a></li>';
}
if($udata['prava']>=5){
echo'</div><div class="mini-line"></div><div class="block_zero center">ПИТОМЦЫ</div><div class="mini-line"></div><div class="menuList">';
}
if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=17"><img src="image/icon/arrow.png" alt="*">Создать Питомца</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=18"><img src="image/icon/arrow.png" alt="*">Управление Питомцами</a></li>';
}
if($udata['prava']>=5){
echo'</div><div class="mini-line"></div><div class="block_zero center">АУРЫ</div><div class="mini-line"></div><div class="menuList">';
}
if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=19"><img src="image/icon/arrow.png" alt="*">Создать Ауру</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=20"><img src="image/icon/arrow.png" alt="*">Управление Аурами</a></li>';
}
if($udata['prava']>=5){
echo'</div><div class="mini-line"></div><div class="block_zero center">СУПЕР ОРУЖИЕ</div><div class="mini-line"></div><div class="menuList">';
}
if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=21"><img src="image/icon/arrow.png" alt="*">Создать СУПЕР ОРУЖИЕ</a></li>';
}
if($udata['prava']>=5){
echo'</div><div class="mini-line"></div><div class="block_zero center">БАЗА ДАННЫХ</div><div class="mini-line"></div><div class="menuList">';
}
if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=28"><img src="image/icon/arrow.png" alt="*">Удаление Кланов</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=22"><img src="image/icon/arrow.png" alt="*">Очистить табл. temp ('.$temp.' лишних записей)</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=23"><img src="image/icon/arrow.png" alt="*">Очистить табл. log ('.$logi.' записей)</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=24"><img src="image/icon/arrow.png" alt="*">Очистить табл. tmp ('.$tmp.' записей)</a></li>';
}

if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=25"><img src="image/icon/arrow.png" alt="*">Оптимизировать БД</a></li>';
}
if($udata['prava']>=5){
echo'</div><div class="mini-line"></div><div class="block_zero center">ФОРУМ</div><div class="mini-line"></div><div class="menuList">';
}
if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=26"><img src="image/icon/arrow.png" alt="*">Категории</a></li>';
}
/*
if($udata['prava']>=5){
echo'<li><a href="adm_panel.php?mod=27"><img src="image/icon/arrow.png" alt="*">Очистка Форума</a></li>';
}
*/

echo'</div></div>';

break;

/* КЕЙСЫ ДЛЯ АДМИН-ПАНЕЛИ */

//-----РЕГИСТРАЦИИ-----//
case '1':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$teme=$time-259200;
$req = mysql_query("SELECT * FROM `set` WHERE `datareg` > '$teme'");
$avto=mysql_num_rows($req);
$i=1;
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo'<div class="main"><div class="block_zero">'.$i.'. <a href="search.php?nick='.$mag['usr'].'&amp;go=go">'.$mag['usr'].'</a>';
if(isset($mag['referer'])){
echo' пришел с '.$mag['referer'].'</div></div>';
echo'<div class="dot-line"></div>';
$i++;
}
}
}else{
echo'<div class="main"><div class="block_zero center">Нет зарегистрированных!</div></div>';
}
echo'</div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----РЕФЕРЕРЫ-----//
case '2':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$den = date("d", time());
$req = mysql_query("SELECT * FROM `referer` WHERE `day`='$den' ORDER BY `id` DESC");
$avto=mysql_num_rows($req);
$i=1;
if($avto==0){
echo'<div class="main"><div class="block_zero center">Нет реферов.</div></div>';
include($path.'files/down.php');exit;
}
While($ref = mysql_fetch_array($req)){
echo'<div class="main"><div class="block_zero">'.$i.'.<a href="'.$ref['ref'].'"> ('.$ref['id'].') '.$ref['ref'].' agent: '.$ref['brauser'].'</a></div><div class="dot-line"></div></div>';
$i++;
}
$den=$den-1;
mysql_query("DELETE FROM `referer` WHERE `day`='$den'");
echo'</div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----ПОИСК ПО ip-----//
case '3':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['ip'])){
echo'<div class="main"><div class="block_zero center"><form action="adm_panel.php?mod=3" method="POST">';
echo'Введите ip:<br><input class="text" type="text" value="'.$_GET['ip'].'" size="20" name="ip"><br>';
echo'<span class="btn"><span class="end"><input class="label" type="submit" value="Найти"></span></span></form></div></div>';
}else{
if(isset($_GET['ip'])){
$_POST['ip'] = $_GET['ip'];
}
$req = mysql_query("SELECT * FROM `users` WHERE `ip`='".mysql_real_escape_string($_POST['ip'])."'");
$avto=mysql_num_rows($req);
$i=1;
if($avto>=1){
echo'<div class="main"><div class="block_zero center">ip адрес: '.$_POST['ip'].'<div class="separ"></div>Всего аккаунтов с таким ip: ('.$avto.')</div></div><div class="dot-line"></div></div>';
While($item = mysql_fetch_array($req)){
$klon=mysql_fetch_array(mysql_query("SELECT `brauser` FROM `set` WHERE `usr` = '$item[usr]'"));

echo'<div class="main"><div class="block_zero">'.$i.'. <a href="search.php?nick='.$item['usr'].'&amp;go=go">'.$item['usr'].'</a> '.$klon['brauser'].'';
echo'<a href="adm_panel.php?mod=block&usr='.$item['usr'].'"><span style="float: right;"><span style="color: #c66;"> Забанить</span></span></a></div><div class="dot-line"></div></div>';
$i++;
}
}
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----РЕДАКТИРОВАНИЕ ИГРОКА-----//
case '4':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['user'])){
echo "<form action='adm_panel.php?mod=4' method='POST'>";
echo'
<div class="main"><div class="block_zero center">
Введите ник игрока:<br>
<input class="text" type="text" value="'.$_GET['usr'].'" size="20" name="user"><br>
';
echo'<span class="btn"><span class="end"><input class="label" type="submit" value="Изменить"></span></span></form>';
echo'</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
}
elseif(empty($_POST['usr'])){
$_POST['user'] = htmlspecialchars(stripslashes(addslashes($_POST['user'])));
$b = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_POST[user]'");
$b = mysql_fetch_array($b);
echo'<div class="main"><div class="block_zero">';
echo'
<form action="adm_panel.php?mod=edit4&user='.$_POST['user'].'" method="POST">';
echo'
Ник:<br>
<input class="text" type="text" value="'.$b['usr'].'" size="20" name="usr"><br>
id:<br>
<input class="text" type="text" value="'.$b['id'].'" size="20" name="id"><br>
E-mail:<br>
<input class="text" type="text" value="'.$b['email'].'" size="20" name="email"><br>
Пол (m или w):<br>
<input class="text" type="text" value="'.$b['pol'].'" size="1" name="pol"><br>
Права (0-5):<br>
<input class="text" type="text" value="'.$b['prava'].'" size="1" name="prava"><br>
Сторона: (white или black)<br>
<input class="text" type="text" value="'.$b['storona'].'" size="20" name="storona"><br>
Уровень:<br>
<input class="text" type="text" value="'.$b['lvl'].'" size="20" name="lvl"><br>
Скилы:<br>
<input class="text" type="text" value="'.$b['skill'].'" size="20" name="skill"><br>
Монеты:<br>
<input class="text" type="text" value="'.$b['money'].'" size="20" name="money"><br>
Жизнь (hp/hpall):<br>
<input class="text" type="text" value="'.$b['hpall'].'" size="20" name="hpall"><br>
Мана (mp/mpall):<br>
<input class="text" type="text" value="'.$b['mpall'].'" size="20" name="mpall"><br>
Алмазы:<br>
<input class="text" type="text" value="'.$b['almaz'].'" size="20" name="almaz"><br>
Сила:<br>
<input class="text" type="text" value="'.$b['sila'].'" size="20" name="sila"><br>
Ловкость:<br>
<input class="text" type="text" value="'.$b['lovk'].'" size="20" name="lovk"><br>
Защита:<br>
<input class="text" type="text" value="'.$b['prot'].'" size="20" name="prot"><br>
Крит:<br>
<input class="text" type="text" value="'.$b['krit'].'" size="20" name="krit"><br>
Крит-урон:<br>
<input class="text" type="text" value="'.$b['ukrit'].'" size="20" name="ukrit"><br>
Опыт:<br>
<input class="text" type="text" value="'.$b['exp'].'" size="20" name="exp"><br>
Клан:<br>
<input class="text" type="text" value="'.$b['clan'].'" size="20" name="clan"><br>
Город (fornost или izmud):<br>
<input class="text" type="text" value="'.$b['city'].'" size="20" name="city"><br>
id рефера:<br>
<input class="text" type="text" value="'.$b['ref'].'" size="10" name="ref"><br>
Аватар:<br>
<input class="text" type="text" value="'.$b['avatar'].'" size="20" name="avatar"><br>
Должность в клане (lider, general, user):<br>
<input class="text" type="text" value="'.$b['dolz'].'" size="20" name="dolz"><br>
<center>
<span class="btn"><span class="end"><input class="label" type="submit" value="Изменить"></span></span></form>
</center>
';
echo'</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
}
break;
case 'edit4':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_GET['user'])){
echo'Ошибка!';
}else{
mysql_query("UPDATE `users` SET
        `usr` = '$_POST[usr]',
        `id` = '$_POST[id]',
        `email` = '$_POST[email]',
        `pol` = '$_POST[pol]',
        `prava` = '$_POST[prava]',
        `storona` = '$_POST[storona]',
        `lvl` = '$_POST[lvl]',
        `skill` = '$_POST[skill]',
        `money` = '$_POST[money]',
        `almaz` = '$_POST[almaz]',
        `hp` = '$_POST[hpall]',
        `hpall` = '$_POST[hpall]',
        `mp` = '$_POST[mpall]',
        `mpall` = '$_POST[mpall]',
        `sila` = '$_POST[sila]',
        `lovk` = '$_POST[lovk]',
        `prot` = '$_POST[prot]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `exp` = '$_POST[exp]',
        `clan` = '$_POST[clan]',
        `city` = '$_POST[city]',
        `ref` = '$_POST[ref]',
        `avatar` = '$_POST[avatar]',
        `dolz` = '".htmlspecialchars($_POST['dolz'])."' WHERE `usr`='$_GET[user]' LIMIT 1") OR die (mysql_error());
        echo'Изменения приняты!';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
}
break;
//-----КОНЕЦ-----//

//-----НАЛОЖИТЬ БАН-----//
case '5':
if($udata['prava']<2){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['text'])){
echo'<div class="main"><div class="block_zero">';
echo'<form action="adm_panel.php?mod=5" method="POST">';
echo'
Логин:<br>
<input class="text" type="text" size="10" maxlength="15" value="'.$_GET['usr'].'" name="nick"><br>
Причина бана:<br>
<input class="text" type="text" size="15" maxlength="30" name="text"><br>
Время бана:<br>
<input class="text" type="text" size="10" maxlength="3" name="time"><br>
Тип времени:<br>
<select name="times">
<option value="sec">Секунд</option>
<option value="min">Минут</option>
<option value="cha">Часов</option>
<option value="sut">Суток</option>
</select><br>';
echo'
<center>
<span class="btn"><span class="end"><input class="label" type="submit" value="Забанить"></span></span></form>
</center>
';
echo'</div></div>';
}else{
$req = mysql_query("SELECT * FROM `users` WHERE `usr`='".mysql_real_escape_string($_POST['nick'])."'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Нет такого игрока!';
include($path.'files/down.php');exit;
}
if($_POST['times']=='sec'){
$_POST['time']=$_POST['time'];
}
if($_POST['times']=='min'){
$_POST['time']=$_POST['time']*60;
}
if($_POST['times']=='cha'){
$_POST['time']=$_POST['time']*3600;
}
if($_POST['times']=='sut'){
$_POST['time']=$_POST['time']*3600*24;
}
$time_ban=time()+$_POST['time'];
mysql_query("INSERT INTO
        `ban` SET
        `usr` = '$_POST[nick]',
        `admin` = '$log',
        `text` = '$_POST[text]',
        `ban_time` = '$time_ban'");
echo'Игрок '.$_POST['nick'].' забанен!<br>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----СПИСОК ЗАБАННЕНЫХ/СНЯТИЕ БАНА-----//
case '6':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$time=time();
$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time` > '$time'");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo'<div class="main"><div class="block_zero">';
echo''.$mag['usr'].' <a href="adm_panel.php?mod=snyat&id='.$mag['id'].'"><span style="color: #9c9;"> Снять бан</span></a> <a href="adm_panel.php?mod=block&usr='.$mag['usr'].'"><span style="float: right;"><span style="color: #c66;">Заблокировать</span></span></a></div><div class="dot-line"></div></div>';
}
}else{
echo'<div class="main"><div class="block_zero center">Нет забаненных!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'snyat':
if(empty($_GET['id'])){
echo'Ошибка: не выбран игрок!';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `ban` WHERE `id` = '".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');exit;
}
mysql_query("DELETE FROM `ban` WHERE `id` = '".mysql_real_escape_string($_GET['id'])."'");
echo'Бан снят!<br>';
echo'<a href="adm_panel.php?">Назад</a>';
break;
case 'block':
if(empty($_GET['usr'])){
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '".mysql_real_escape_string($_GET['usr'])."'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Нет такого игрока!';
include($path.'files/down.php');exit;
}
}else{
mysql_query("UPDATE `ban` SET `block` = '1' WHERE `usr` = '".mysql_real_escape_string($_GET['usr'])."'");
echo'Игрок '.$_GET['usr'].' заблокирован!<br>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----ДОБАВИТЬ НОВОСТЬ-----//
case '7':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['text'])){
echo'<div class="main"><div class="block_zero center">';
echo'<form action="adm_panel.php?mod=7" method="POST">';
echo'Название новости:<br>
<input class="text" type="text" size="20" name="name"><br>
Текст:<br>
<textarea class="text" name="text" cols="50" rows="10"></textarea><br><span class="btn"><span class="end"><input class="label" type="submit" value="Добавить"></span></span></form>';
}else{
$_POST['name']=htmlspecialchars($_POST['name']);
$_POST['text']=htmlspecialchars($_POST['text']);
mysql_query("INSERT INTO `news` SET `title` = '$_POST[name]', `text` = '$_POST[text]', `time`='".date("d.m.y")."'");
mysql_query("UPDATE `users` SET `news` = '0'");
mysql_query("INSERT INTO `forum_topics` SET `id_cat` = '1', `title` = '$_POST[name]', 
`authour` = '".$log."', `time` = '".time()."'");
$last_id = mysql_insert_id();
mysql_query("INSERT INTO `forum_msg` SET `id_cat` = '1', `id_topic` = '$last_id', `text` = '$_POST[text]', `login` = '".$log."', `time` = '".time()."'");
echo'<div class="main"><div class="block_zero center">';
echo'Новость "'.$_POST['name'].'" добавлена!<br>';
}
echo'</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----ДОБАВИТЬ ОБЪЯВЛЕНИЕ-----//
case '8':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$mag = mysql_fetch_array(mysql_query("SELECT * FROM `zametka` LIMIT 1"));
echo'<div class="main"><div class="block_zero center">';
if(empty($_POST['name'])){
echo '<form action="adm_panel.php?mod=8" method="POST">';
echo'
Текст объявления:<br>
<textarea class="text" name="name" cols="50" rows="7">'.$mag['name'].'</textarea><br>
Статус:<br>
<select name="status"><br>
<option value="on">Включить</option><br>
<option value="off">Выключить</option>
</select>
<br><br>
<span class="btn"><span class="end"><input class="label" type="submit" value="Выполнить"></span></span></form>';
}else{
$b = html_entity_decode($_POST['name']);
mysql_query("UPDATE `set` SET `prim` = '".mysql_real_escape_string($_POST['status'])."'");
if(empty($mag['id'])){
mysql_query("INSERT INTO `zametka` SET `id` = '1',`name` = '".mysql_real_escape_string($b)."', `status` = '$_POST[status]', `log`='$log'");
}else{
mysql_query("UPDATE `zametka` SET `name` = '".mysql_real_escape_string($b)."', `status` = '$_POST[status]', `log`='$log' WHERE `id` = '1' LIMIT 1");
}
echo'Примечание<br> "'.$_POST['name'].'" </br>добавлено, изменено!<br/>';
}
echo'</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----БИБЛИОТЕКА-----//
case '9':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `library`");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo'<div class="main"><div class="block_zero">';
echo'<a href="library.php?id='.$mag['id'].'&mod=read">'.$mag['title'].'</a><a href="adm_panel.php?mod=delete9&id='.$mag['id'].'"><span style="float: right;"><span style="color: #c66;">Удалить</span></a>';
echo'</div><div class="dot-line"></div></div>';
}
}else{
echo'<div class="main"><div class="block_zero center">';
echo'Нет статей.';
echo'</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'delete9':
if(empty($_GET['id'])){
echo'<div class="main"><div class="block_zero center">';
echo'Ошибка невыбрана статья!';
echo'</div></div>';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `library` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">';
echo'Ошибка!';
echo'</div></div>';
include($path.'files/down.php');exit;
}
mysql_query("DELETE FROM `library` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
echo'<div class="main"><div class="block_zero center">';
echo'Статья удалена!';
echo'</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?mod=9"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'edit9':
if(empty($_GET['id'])){
echo'<div class="main"><div class="block_zero center">Ошибка невыбрана статья!</div></div>';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `library` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
$lib = mysql_fetch_array($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">Ошибка!</div></div>';
include($path.'files/down.php');exit;
}
if(empty($_POST['name'])){
echo'<div class="main"><div class="block_zero center"><form action="adm_panel.php?mod=edit9&id='.$_GET['id'].'" method="POST">';
echo'Название:<br/><input class="text" type="text" value="'.$lib['title'].'" size="20" name="name"><br>';
echo'Текст:<br><textarea class="text" name="text" cols="50" rows="10">'.$lib['text'].'</textarea><br>';
echo'<span class="btn"><span class="end"><input class="label" type="submit" value="Изменить"></span></span></form></div></div>';
}else{
$b = html_entity_decode($_POST['text']);
mysql_query("UPDATE `library` SET `title` = '$_POST[name]', `text` = '".mysql_real_escape_string($b)."', `author` = '$log',`time`='".date("d.m.y")."' WHERE `id`='$_GET[id]'");
echo'<div class="main"><div class="block_zero center">Статья '.$_POST['name'].' исправлена!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?mod=9"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----ДОБАВИТЬ СТАТЬЮ БИБЛИОТЕКИ-----//
case '10':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['name'])){
echo'<div class="main"><div class="block_zero center"><form action="adm_panel.php?mod=10" method="post">';
echo'Название:<br><input class="text" type="text" size="20" name="name"><br>';
echo'Текст:<br/>
<textarea class="text" name="text" cols="50" rows="10"></textarea><br>';
echo'<span class="btn"><span class="end"><input class="label" type="submit" value="Добавить"></span></span></form></div></div>';
}else{
mysql_query("INSERT INTO `library` SET `title` = '$_POST[name]', `text` = '$_POST[text]', `author` = '$log',`time`='".date("d.m.y")."'");
echo'<div class="main"><div class="block_zero center">Статья '.$_POST['name'].' написана!';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----СОЗДАНИЕ БОССА-----//
case '13':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['name'])){
echo '<div class="main"><div class="block_zero"><form action="adm_panel.php?mod=13" method="POST">';
echo'
Имя:<br>
<input class="text" type="text" size="10" name="name"><br>
Уровень:<br>
<input class="text" type="text" size="10" name="lvl"><br>
Урон:<br>
<input class="text" type="text" size="10" name="uron"><br>
Здоровья:<br>
<input class="text" type="text" size="10" name="hp"><br>
Защита:<br>
<input class="text" type="text" size="10" name="prot"><br>
Шанс крита: (%)<br>
<input class="text" type="text" size="10" name="krit"><br>
Урон-крита: (%)<br>
<input class="text" type="text" size="10" name="ukrit"><br>
Ловкость:<br>
<input class="text" type="text" size="10" name="lovk"><br>
Кол. монет:<br>
<input class="text" type="text" size="10" name="money"><br>
Опыта:<br>
<input class="text" type="text" size="10" name="exp"><br>
Кол-во дропа максимум:<br>
<input class="text" type="text" size="10" name="drop">';
echo '<center><span class="btn"><span class="end"><input class="label" type="submit" value="Создать"></span></span></form></center></div></div>';
}else{
mysql_query("INSERT INTO
        `boss` SET
        `name` = '$_POST[name]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpall` = '$_POST[hp]',
        `uron` = '$_POST[uron]',
        `prot` = '$_POST[prot]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `lovk` = '$_POST[lovk]',
        `money` = '$_POST[money]',
        `exp` = '$_POST[exp]',
        `status` = 'on',
        `tip` = 'boss',
        `drop` = '$_POST[drop]'");
echo'<div class="main"><div class="block_zero center">Босс '.$_POST['name'].' создан!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----УПРАВЛЕНИЕ БОССАМИ-----//
case '14':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `boss`");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo'<div class="main"><div class="block_zero"><a href="adm_panel.php?mod=edit14&id='.$mag['id'].'">'.$mag['name'].' ('.$mag['rang'].';'.$mag['lvl'].')</a><span style="float: right;"><a href="adm_panel.php?mod=delete14&amp;id='.$mag['id'].'"><span style="color: #c66;">Удалить</a></span></span></div><div class="dot-line"></div></div>';
}
}else{
echo'<div class="main"><div class="block_zero center">Нет боссов.</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'delete14':
if(empty($_GET['id'])){
echo'<div class="main"><div class="block_zero center">Ошибка невыбран босс!</div></div>';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `boss` where `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">Ошибка!</div></div>';
include($path.'files/down.php');exit;
}
mysql_query("DELETE FROM `boss` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
echo'<div class="main"><div class="block_zero center">Босс удалён!</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?mod=14"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'edit14':
if(empty($_GET['id'])){
echo'<div class="main"><div class="block_zero">Ошибка не выбран босс!</div></div>';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `boss` WHERE `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
if (mysql_num_rows($req)==0){
echo'<div class="main"><div class="block_zero">Такого босса не существует.</div></div>';
include($path.'files/down.php');exit;
}
$mob = mysql_fetch_array($req);
if(empty($_POST['name'])){
echo '<div class="main"><div class="block_zero"><form action="adm_panel.php?mod=edit14&amp;id='.$_GET['id'].'" method="POST">';
echo'
Имя:<br>
<input class="text" type="text" value="'.$mob['name'].'" size="10" name="name"><br>
Уровень:<br>
<input class="text" type="text" value="'.$mob['lvl'].'" size="10" name="lvl"><br>
Урон:<br>
<input class="text" type="text" value="'.$mob['uron'].'" size="10" name="uron"><br>
Здоровья:<br>
<input class="text" type="text" value="'.$mob['hpall'].'" size="10" name="hp"><br>
Защита:<br>
<input class="text" type="text" value="'.$mob['prot'].'" size="10" name="prot"><br>
Шанс крита: (%)<br>
<input class="text" type="text" value="'.$mob['krit'].'" size="10" name="krit"><br>
Урон-крита: (%)<br>
<input class="text" type="text" value="'.$mob['ukrit'].'" size="10" name="ukrit"><br>
Ловкость:<br>
<input class="text" type="text" value="'.$mob['lovk'].'" size="10" name="lovk"><br>
Кол. монет:<br>
<input class="text" type="text" value="'.$mob['money'].'" size="10" name="money"><br>
Опыта:<br>
<input class="text" type="text" value="'.$mob['exp'].'" size="10" name="exp"><br>
Дроп:<br>
<input class="text" type="text" value="'.$mob['drop'].'" size="10" name="bitva"><br>';
echo '<center><span class="btn"><span class="end"><input class="label" type="submit" value="Изменить"></span></span></form></center></div></div>';
}else{
mysql_query("UPDATE `boss` SET
        `name` = '$_POST[name]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpall` = '$_POST[hp]',
        `uron` = '$_POST[uron]',
        `prot` = '$_POST[prot]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `lovk` = '$_POST[lovk]',
        `money` = '$_POST[money]',
        `exp` = '$_POST[exp]',
        `drop` = '".htmlspecialchars($_POST['bitva'])."' WHERE `id`='$mob[id]' AND `name` = '$mob[name]'") OR die (mysql_error());
echo'<div class="main"><div class="block_zero">Босс '.$_POST['name'].' изменён!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?mod=14"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----СОЗДАТЬ ВООРУЖЕНИЕ-----//
case '15':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['name'])){
echo '<div class="main"><div class="block_zero"><form action="adm_panel.php?mod=15" method="post">';
echo'
<small>Комплект:<br>
<input class="text" type="text" value="'.$_GET['kom'].'" size="20" name="kom"><br>';
echo'
Тип:<br>
<select name="tip">
<option value="golova">Шлем</option>
<option value="body">Доспехи</option>
<option value="nogi">Сапоги</option>
<option value="weapon">Оружие</option>
<option value="shit">Щит</option>
</select><br>';
echo'
Имя:<br>
<input class="text" type="text" size="20" name="name"><br>
Урон:<br>
<input class="text" type="text" size="10" name="sila"><br>
Защита:<br>
<input class="text" type="text" size="10" name="prot"><br>
Ловкость:<br>
<input class="text" type="text" size="10" name="lovk"><br>
Бонус здоровья:<br>
<input class="text" type="text" size="10" name="hp"><br>
Бонус маны:<br>
<input class="text" type="text" size="10" name="mp"><br>
Крит-удар:<br>
<input class="text" type="text" size="10" name="krit"><br>
Крит-урон:<br>
<input class="text" type="text" size="10" name="ukrit"><br>
Требуемый уровень:<br>
<input class="text" type="text" size="10" name="nlvl"><br></small>';
echo '<center><span class="btn"><span class="end"><input class="label" type="submit" value="Создать"></span></span></form></center></div></div>';
}else{
if($_POST['tip']=='golova'){$tip='Шлем';}
if($_POST['tip']=='body'){$tip='Доспехи';}
if($_POST['tip']=='nogi'){$tip='Сапоги';}
if($_POST['tip']=='weapon'){$tip='Оружие';}
if($_POST['tip']=='shit'){$tip='Щит';}

if(empty($_POST['hp'])){$_POST['hp']=0;}
if(empty($_POST['mp'])){$_POST['mp']=0;}
if(empty($_POST['krit'])){$_POST['krit']=0;}
if(empty($_POST['ukrit'])){$_POST['ukrit']=0;}
if(empty($_POST['sila'])){$_POST['sila']=0;}
if(empty($_POST['lovk'])){$_POST['lovk']=0;}
if(empty($_POST['prot'])){$_POST['prot']=0;}
if(empty($_POST['nlvl'])){$_POST['nlvl']=0;}
$sena = ($_POST['prot']+$_POST['lovk']+$_POST['sila']+$_POST['hp']+$_POST['mp']+$_POST['krit']+$_POST['ukrit'])*1;
mysql_query("INSERT INTO
        `shops` SET
        `tip` = '$_POST[tip]',
        `name` = '$_POST[name]',
        `cena` = '$sena',
        `kompl` = '$_POST[kom]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `sila` = '$_POST[sila]',
        `lovk` = '$_POST[lovk]',
        `prot` = '$_POST[prot]',
        `nlvl` = '$_POST[nlvl]'") OR die (mysql_error());
echo'<div class="main"><div class="block_zero center">Вещь '.$tip.' '.$_POST['name'].' создана!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----УПРАВЛЕНИЕ ВООРУЖЕНИЕМ-----//
case '16':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `shops`");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
if($mag['tip']=='golova'){$tip='Шлем';}
if($mag['tip']=='body'){$tip='Доспехи';}
if($mag['tip']=='nogi'){$tip='Сапоги';}
if($mag['tip']=='weapon'){$tip='Оружие';}
if($mag['tip']=='shit'){$tip='Щит';}
echo'<div class="main"><div class="block_zero"><a href="adm_panel.php?mod=edit16&id='.$mag['id'].'">'.$tip.' '.$mag['name'].' ('.$mag['nlvl'].')</a><span style="float: right;"><a href="adm_panel.php?mod=delete16&id='.$mag['id'].'"><span style="color: #c66;">Удалить</span></span></a></div><div class="dot-line"></div></div>';
}
}else{
echo'<div class="main"><div class="block_zero center">Нет вещей</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'delete16':
if(empty($_GET['id'])){
echo'<div class="main"><div class="block_zero center">Ошибка невыбрана вещь!</div></div>';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `shops` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">Ошибка!</div></div>';
include($path.'files/down.php');exit;
}
mysql_query("DELETE FROM `shops` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
echo'<div class="main"><div class="block_zero center">Вещь удалена!</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?mod=16"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'edit16':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_GET['id'])){
echo'<div class="main"><div class="block_zero center">Ошибка не выбрана вещь!</div></div>';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `shops` WHERE `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
if (mysql_num_rows($req)==0){
echo'<div class="main"><div class="block_zero center">Такой вещи не существует.</div></div>';
include($path.'files/down.php');exit;
}
$item = mysql_fetch_array($req);
if(empty($_POST['name'])){
echo'<div class="main"><div class="block_zero"><form action="adm_panel.php?mod=edit16&amp;id='.$_GET['id'].'" method="POST">';
echo'
Комплект<br>
<input class="text" type="text" value="'.$item['kompl'].'" size="10" name="kompl"><br>
Тип:<br>
<select name="tip">
<option value="golova">Шлем</option>
<option value="body">Доспехи</option>
<option value="nogi">Сапоги</option>
<option value="weapon">Оружие</option>
<option value="shit">Щит</option>
</select><br>
Имя:<br>
<input class="text" type="text" value="'.$item['name'].'" size="10" name="name"><br>
Цена:<br>
<input class="text" type="text" value="'.$item['cena'].'" size="10" name="cena"><br>
Cилы:<br>
<input class="text" type="text" value="'.$item['sila'].'" size="10" name="sila"><br>
Здоровья:<br>
<input class="text" type="text" value="'.$item['hp'].'" size="10" name="hp"><br>
Маны:<br>
<input class="text" type="text" value="'.$item['mp'].'" size="10" name="mp"><br>
Крит:<br>
<input class="text" type="text" value="'.$item['krit'].'" size="10" name="krit"><br>
Урон-крит:<br>
<input class="text" type="text" value="'.$item['ukrit'].'" size="10" name="ukrit"><br>
Ловкости:<br>
<input class="text" type="text" value="'.$item['lovk'].'" size="10" name="lovk"><br>
Физ.защита:<br>
<input class="text" type="text" value="'.$item['prot'].'" size="10" name="prot"><br>
Требуемый уровень:<br>
<input class="text" type="text" value="'.$item['nlvl'].'" size="10" name="nlvl"><br>';
echo '<center><span class="btn"><span class="end"><input class="label" type="submit" value="Изменить"></span></span></form></center></div></div>';
}else{
if($_POST['cena']==$item['cena']){
$cena=($_POST['hp']+$_POST['mp']+$_POST['krit']+$_POST['ukrit']+$_POST['sila']+$_POST['lovk']+$_POST['prot'])*1;
}else{
$cena=$_POST['cena'];
}
mysql_query("UPDATE `shops` SET
        `kompl` = '$_POST[kompl]',
        `tip` = '$_POST[tip]',
        `name` = '$_POST[name]',
        `cena` = '$cena',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `sila` = '$_POST[sila]',
        `lovk` = '$_POST[lovk]',
        `prot` = '$_POST[prot]',
        `nlvl` = '$_POST[nlvl]' WHERE `id`='".htmlspecialchars($_GET['id'])."' LIMIT 1") OR die (mysql_error());
echo'<div class="main"><div class="block_zero center">Вещь '.$_POST['name'].' изменена!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?mod=16"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----СОЗДАНИЕ ПИТОМЦА-----//
case '17':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['name'])){
echo '<div class="main"><div class="block_zero"><form action="adm_panel.php?mod=17" method="POST">';
echo"Название питомца:<br/>
<input class=\"text\" type=\"text\" size=\"20\" name=\"name\"/><br/>";
echo "Возраст:<br/>
<select name=\"old\">
<option value=\"1\">Детёныш</option>
<option value=\"2\">Взрослый</option>
<option value=\"3\">Бойцовый</option>
</select><br/>";
echo"Аватар:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"ava\"/><br/>";
echo"Начальная жизнь:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"hp\"/><br/>";
echo"Максимальная жизнь:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"hpall\"/><br/>";
echo"Начальная атака:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"ataka\"/><br/>";
echo"Максимальная атака:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"mataka\"/><br/>";
echo"Набросится (не известно):<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"nabros\"/><br/>";
echo"Начальный уворот от травмы:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"lovk\"/><br/>";
echo"Максимальный уворот от травмы:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"mlovk\"/><br/>";
echo"Цена:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"cena\"/><br/>";
echo"Начальный уровень питомца:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"lvl\"/><br/>";
echo"Уровень персонажа для покупки:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"nlvl\"/><br/>";
echo"Опыт (считать от уровня):<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"exp\"/><br/>";
echo '<center><span class="btn"><span class="end"><input class="label" type="submit" value="Создать"></span></span></form></center></div></div>';
}else{
mysql_query("INSERT INTO `pitomec` SET
        `id` = '',
        `ava` = '$_POST[ava]',
        `name` = '$_POST[name]',
        `old`='$_POST[old]',
        `hp`='$_POST[hp]',
        `hpall`='$_POST[hpall]',
        `ataka`='$_POST[ataka]',
        `mataka`='$_POST[mataka]',
        `nabros`='$_POST[nabros]',
        `lovk`='$_POST[lovk]',
        `mlovk`='$_POST[mlovk]',
        `exp`='$_POST[exp]',
        `cena`='$_POST[cena]',
        `lvl`='$_POST[lvl]'");
        $pit = mysql_fetch_array(mysql_query("SELECT * FROM `pitomec`"));
        if($pit['old']==1){
$old="Детёныш";
}
if($pit['old']==2){
$old="Взрослый";
}
if($pit['old']==3){
$old="Бойцовый";
}
echo'<div class="main"><div class="block_zero center">Питомец '.$old.' '.$_POST['name'].' создан!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----УПРАВЛЕНИЕ ПИТОМЦАМИ-----//
case '18':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `pitomec`");
$avto=mysql_num_rows($req);
if($avto>=1){
While($pit = mysql_fetch_array($req)){
if($pit['old']==1){
$old="Детёныш";
}
if($pit['old']==2){
$old="Взрослый";
}
if($pit['old']==3){
$old="Бойцовый";
}
echo'<div class="main"><div class="block_zero"><a href="adm_panel.php?mod=edit18&id='.$pit['id'].'">'.$old.' '.$pit['name'].'</a><span style="float: right;"><a href="adm_panel.php?mod=delete18&id='.$pit['id'].'"><span style="color: #c66;">Удалить</a></span></span></div><div class="dot-line"></div></div>';
}
}else{
echo'<div class="main"><div class="block_zero center">Нет питомцев.</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'delete18':
if(empty($_GET['id'])){
echo'<div class="main"><div class="block_zero center">Ошибка, не выбран питомец!</div></div>';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT `id` FROM `pitomec` where `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">Ошибка!</div></div>';
include($path.'files/down.php');exit;
}
mysql_query("DELETE FROM `pitomec` WHERE `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
echo'<div class="main"><div class="block_zero center">Питомец удален!</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?mod=18"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'edit18':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_GET['id'])){
echo'<div class="main"><div class="block_zero center">Ошибка, не выбран питомец!</div></div>';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `pitomec` WHERE `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
if (mysql_num_rows($req)==0){
echo'<div class="main"><div class="block_zero center">Такого питомца не существует.</div></div>';
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);
if(empty($_POST['name'])){
echo'<div class="main"><div class="block_zero"><form action="adm_panel.php?mod=edit18&amp;id='.$_GET['id'].'" method="POST">';
echo"Название питомца:<br/>
<input class=\"text\" value=\"$pit[name]\" type=\"text\" size=\"20\" name=\"name\"/><br/>";
echo "Возраст:<br/>
<select name=\"old\">
<option value=\"1\">Детёныш</option>
<option value=\"2\">Взрослый</option>
<option value=\"3\">Бойцовый</option>
</select><br/>";
echo"Аватар:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"ava\" value=\"$pit[ava]\"/><br/>";
echo"Начальная жизнь:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"hp\" value=\"$pit[hp]\"/><br/>";
echo"Максимальная жизнь:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"hpall\" value=\"$pit[hpall]\"/><br/>";
echo"Начальная атака:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"ataka\" value=\"$pit[ataka]\"/><br/>";
echo"Максимальная атака:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"mataka\" value=\"$pit[mataka]\"/><br/>";
echo"Набросится (не известно):<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"nabros\" value=\"$pit[nabros]\"/><br/>";
echo"Начальный уворот от травмы:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"lovk\" value=\"$pit[lovk]\"/><br/>";
echo"Максимальный уворот от травмы:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"mlovk\" value=\"$pit[mlovk]\"/><br/>";
echo"Цена:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"cena\" value=\"$pit[cena]\"/><br/>";
echo"Начальный уровень питомца:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"lvl\" value=\"$pit[lvl]\"/><br/>";
echo"Уровень персонажа для покупки:<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"nlvl\" value=\"$pit[nlvl]\"/><br/>";
echo"Опыт (считать от уровня):<br/>
<input class=\"text\" type=\"text\" size=\"10\" name=\"exp\" value=\"$pit[exp]\"/><br/>";
echo '<center><span class="btn"><span class="end"><input class="label" type="submit" value="Изменить"></span></span></form></center></div></div>';
}else{
mysql_query("UPDATE `pitomec` SET
        `ava` = '$_POST[ava]',
        `name` = '$_POST[name]',
        `old`='$_POST[old]',
        `hp`='$_POST[hp]',
        `hpall`='$_POST[hpall]',
        `ataka`='$_POST[ataka]',
        `mataka`='$_POST[mataka]',
        `nabros`='$_POST[nabros]',
        `lovk`='$_POST[lovk]',
        `mlovk`='$_POST[mlovk]',
        `exp`='$_POST[exp]',
        `cena`='$_POST[cena]',
        `lvl`='$_POST[lvl]' WHERE `id` ='$_GET[id]'");
        $pit = mysql_fetch_array(mysql_query("SELECT * FROM `pitomec`"));
        if($pit['old']==1){
$old="Детёныш";
}
if($pit['old']==2){
$old="Взрослый";
}
if($pit['old']==3){
$old="Бойцовый";
}
echo'<div class="main"><div class="block_zero center">Питомец '.$old.' '.$_POST['name'].' изменён!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?mod=18"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----СОЗДАНИЕ АУРЫ-----//
case '19':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['name'])){
echo '<div class="main"><div class="block_zero"><form action="adm_panel.php?mod=19" method="POST">';
echo"Имя<br/>
<input class='text' type=\"text\" size=\"10\" name=\"name\"/><br/>
Ава:<br/>
<input class='text' type=\"text\" size=\"10\" name=\"ava\"/><br/>
Цена:<br/>
<input class='text' type=\"text\" size=\"10\" name=\"acena\"/><br/>
Сила:<br/>
<input class='text' type=\"text\" size=\"10\" name=\"sila\"/><br/>
Защита:<br/>
<input class='text' type=\"text\" size=\"10\" name=\"protect\"/><br/>
Ловкость:<br/>
<input class='text' type=\"text\" size=\"10\" name=\"lovk\"/><br/>
Бонус здоровья:<br/>
<input class='text' type=\"text\" size=\"10\" name=\"hp\"/><br/>
Бонус маны:<br/>
<input class='text' type=\"text\" size=\"10\" name=\"mp\"/><br/>
Бонус урон-крит:<br/>
<input class='text' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>
Требуемый уровень:<br/>
<input class='text' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>
Время действия: (в минутах)<br/>
<input class='text' type=\"text\" size=\"10\" name=\"actime\"/><br/>";
echo '<center><span class="btn"><span class="end"><input class="label" type="submit" value="Создать"></span></span></form></center></div></div>';
}else{
$ak=$_POST['actime']*60;
mysql_query("INSERT INTO
        `shop_aura` SET
        `name` = '$_POST[name]',
        `ava` = '$_POST[ava]',
        `acena` = '$_POST[acena]',
        `sila` = '$_POST[sila]',
        `protect` = '$_POST[protect]',
        `lovk` = '$_POST[lovk]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `ukrit` = '$_POST[ukrit]',
        `actime` = '$ak',
        `nlvl` = '$_POST[nlvl]'") OR die (mysql_error());
echo'<div class="main"><div class="block_zero center">Аура '.$_POST['name'].' создана!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----УПРАВЛЕНИЕ АУРАМИ-----//
case '20':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `shop_aura`");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo'<div class="main"><div class="block_zero">'.$mag['name'].'<span style="float: right;"><a href="adm_panel.php?mod=delete20&amp;id='.$mag['id'].'"><span style="color: #c66;">Удалить</a></span></span></a></div><div class="dot-line"></div></div>';
}
}else{
echo'<div class="main"><div class="block_zero center">Нет аур.</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'delete20':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_GET['id'])){
echo'<div class="main"><div class="block_zero center">Ошибка не выбрана аура!</div></div>';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `shop_aura` where `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">Ошибка!</div></div>';
include($path.'files/down.php');exit;
}
mysql_query("DELETE FROM `shop_aura` WHERE `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
echo'<div class="main"><div class="block_zero center">Аура удалена!</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?mod=20"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----СУПЕР ОРУЖИЕ-----//
case '21':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['name'])){
echo '<div class="main"><div class="block_zero"><form action="adm_panel.php?mod=21" method="POST">';
echo'Комплект:<br>
<input class="text" type="text" value="'.$_GET['kom'].'" size="20" name="kom"><br>';
echo"Тип:<br/><select name=\"tip\">
<option value=\"weapon\">Оружие</option>
<option value=\"golova\">Шлем</option>
<option value=\"body\">Доспехи</option>
<option value=\"nogi\">Сапоги</option>
<option value=\"shit\">Щит</option>
</select><br/>";
echo"Имя<br/>
<input class='text' type=\"text\" size=\"20\" name=\"name\"/><br/>
Урон<br/>
<input class='text' type=\"text\" size=\"10\" name=\"sila\"/><br/>
Защита<br/>
<input class='text' type=\"text\" size=\"10\" name=\"prot\"/><br/>
Ловкость<br/>
<input class='text' type=\"text\" size=\"10\" name=\"lovk\"/><br/>
Бонус здоровья<br/>
<input class='text' type=\"text\" size=\"10\" name=\"hp\"/><br/>
Бонус маны<br/>
<input class='text' type=\"text\" size=\"10\" name=\"mp\"/><br/>
Бонус крит<br/>
<input class='text' type=\"text\" size=\"10\" name=\"krit\"/><br/>
Бонус урон-крит<br/>
<input class='text' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>
Требуемый уровень<br/>
<input class='text' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>";
echo '<center><span class="btn"><span class="end"><input class="label" type="submit" value="Создать"></span></span></form></center></div></div>';
}else{
if(empty($_POST['protect'])){$_POST['protect']=0;}
if(empty($_POST['hp'])){$_POST['hp']=0;}
if(empty($_POST['mp'])){$_POST['mp']=0;}
if(empty($_POST['krit'])){$_POST['krit']=0;}
if(empty($_POST['ukrit'])){$_POST['ukrit']=0;}
if(empty($_POST['sila'])){$_POST['sila']=0;}
if(empty($_POST['lovk'])){$_POST['lovk']=0;}
if(empty($_POST['prot'])){$_POST['prot']=0;}
if(empty($_POST['nlvl'])){$_POST['nlvl']=0;}
$sena = ($_POST['uron']+$_POST['prot']+$_POST['lovk']+$_POST['sila']+$_POST['hp']+$_POST['mp']+$_POST['krit']+$_POST['ukrit'])*20;
$sena = ceil($sena/1000);
mysql_query("INSERT INTO
        `arti` SET
        `tip` = '$_POST[tip]',
        `name` = '$_POST[name]',
        `cena` = '$sena',
        `kompl` = '$_POST[kom]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `sila` = '$_POST[sila]',
        `lovk` = '$_POST[lovk]',
        `prot` = '$_POST[prot]',
        `nlvl` = '$_POST[nlvl]'") or die (mysql_error());
echo'<div class="main"><div class="block_zero center">Арт '.$_POST['name'].' создан!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----ОЧИСТИТЬ temp-----//
case '22':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$tmp=mysql_query("SELECT * FROM `temp` WHERE `status`='off' and `ltime` < '$lt'");
$avto=mysql_num_rows($tmp);
if(empty($_GET['ok'])){
echo'<div class="main"><div class="block_zero center">Очистить temp?<div class="separ"></div><a href="adm_panel.php?mod=22&ok=ok"><span class="btn"><span class="end"><input class="label" type="submit" value="Да"></span></span></a> <a href="adm_panel.php?"><span class="btn"><span class="end"><input class="label" type="submit" value="Нет"></span></span></a></div></div>';
break;
}elseif($_GET['ok']='ok'){
echo'<div class="main"><div class="block_zero center">Удалено '.$avto.' лишних записей.</div></div>';
mysql_query("DELETE FROM `temp` WHERE `status`='off' and `ltime` < '$lt' LIMIT $avto");
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----ОЧИСТИТЬ log-----//
case '23':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$logi=mysql_num_rows(mysql_query("SELECT usr FROM log"));
if(empty($_GET['ok'])){
echo'<div class="main"><div class="block_zero center">Очистить log?<div class="separ"></div><a href="adm_panel.php?mod=23&ok=ok"><span class="btn"><span class="end"><input class="label" type="submit" value="Да"></span></span></a> <a href="adm_panel.php?"><span class="btn"><span class="end"><input class="label" type="submit" value="Нет"></span></span></a></div></div>';
break;
}
elseif($_GET['ok']='ok'){
echo'<div class="main"><div class="block_zero center">Удалено '.$logi.' записей.</div></div>';
mysql_query("TRUNCATE TABLE `log`");
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----ОЧИСТИТЬ tmp-----//
case '24':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$tmp=mysql_num_rows(mysql_query("SELECT usr FROM tmp"));
if(empty($_GET['ok'])){
echo'<div class="main"><div class="block_zero center">Очистить tmp?<div class="separ"></div><a href="adm_panel.php?mod=24&ok=ok"><span class="btn"><span class="end"><input class="label" type="submit" value="Да"></span></span></a> <a href="adm_panel.php?"><span class="btn"><span class="end"><input class="label" type="submit" value="Нет"></span></span></a></div></div>';
break;
}
elseif($_GET['ok']='ok'){
echo'<div class="main"><div class="block_zero center">Удалено '.$tmp.' записей.</div></div>';
mysql_query("TRUNCATE TABLE `tmp`");
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----ОПТИМИЗИРОВАТЬ БАЗУ ДАННЫХ-----//
case '25':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
require_once($path.'files/db.php');
$at = mysql_query('SHOW TABLES');
$avto=mysql_num_rows($req);
while ($tables = mysql_fetch_assoc($at)){
foreach ($tables as $bd => $table) { 
mysql_query('OPTIMIZE TABLE `'.trim($table).'`') OR die(mysql_error());
}
}
echo'<div class="main"><div class="block_zero center">База данных оптимизирована!</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----ФОРУМ-----//
case '26':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `forum_cats`");
$avto=mysql_num_rows($req);
$i=1;
if($avto>=1){
While($cats = mysql_fetch_array($req)){
echo'<div class="main"><div class="block_zero">';
echo"$i.<a href=\"adm_panel.php?mod=edit26&id=$cats[id]\"> $cats[name]</a><span style='float: right;'><a href=\"adm_panel.php?mod=delete26&id=$cats[id]\"><span style='color: #c66;'>Удалить</span></span></a></div><div class='dot-line'></div></div>";
$i++;
}
}else{
echo'<div class="main"><div class="block_zero center">Нет категорий.</div><div class="dot-line"></div></div>';
}
echo'<div class="main"><div class="block_zero center"><a href="adm_panel.php?mod=create26"><span class="btn"><span class="end"><input class="label" type="submit" value="Добавить"></span></span></a></div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'delete26':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_GET['id'])){
echo"<div class='main'><div class='block_zero center'>Ошибка, не выбрана категория!</div></div>";
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `forum_cats` where `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"<div class='main'><div class='block_zero center'>Ошибка!</div></div>";
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
include($path.'files/down.php');exit;
}
//mysql_query("DELETE FROM `forum_cats` WHERE `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
mysql_query("DELETE FROM `forum_topics` WHERE `id_cat`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
mysql_query("DELETE FROM `forum_msg` WHERE `id_cat`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
echo'<div class="main"><div class="block_zero center">';
echo'Категория удалена!</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'edit26':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_GET['id'])){
echo'<div class="main"><div class="block_zero center">';
echo"Ошибка, не выбрана категория!</div></div>";
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `forum_cats` where `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
$cats = mysql_fetch_array($req);
if($avto==0){
echo'<div class="main"><div class="block_zero center">';
echo"Ошибка!</div></div>";
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
include($path.'files/down.php');exit;
}
if(empty($_POST['name'])){
echo'<div class="main"><div class="block_zero center">';
echo '<form action="adm_panel.php?mod=edit26&id='.htmlspecialchars($_GET['id']).'" method="post">';
echo"Название:<br/>
<input class='text' value=\"".$cats['name']."\" type=\"text\" size=\"20\" name=\"name\"/><br/>";
echo '<span class="btn"><span class="end"><input class="label" type="submit" value="Изменить"></span></span></form>';
}else{
mysql_query("UPDATE `forum_cats` SET `name` = '$_POST[name]' WHERE `id` ='".mysql_real_escape_string($_GET['id'])."'");
echo'<div class="main"><div class="block_zero center">';
echo'Категория '.$_POST['name'].' изменена!</div></div>';
}
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
case 'create26':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_POST['name'])){
echo'<div class="main"><div class="block_zero center">';
echo '<form action="adm_panel.php?mod=create26" method="post">';
echo"Название:<br/>
<input class='text' type=\"text\" size=\"20\" name=\"name\"/><br/>";
echo '<span class="btn"><span class="end"><input class="label" type="submit" value="Добавить"></span></span></form></div></div>';
}else{
mysql_query("INSERT INTO `forum_cats` SET
`name` = '$_POST[name]'");
echo'<div class="main"><div class="block_zero center">';
echo'Категория '.$_POST['name'].' создана!</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
}
break;
//-----КОНЕЦ-----//

//-----Очистка Форума-----//
case '27':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
mysql_query("TRUNCATE `forum_cats`");
mysql_query("TRUNCATE `forum_topics`");
mysql_query("TRUNCATE `forum_msg`");
echo'<div class="main"><div class="block_zero center">Форум очищен!</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----Очистка Кланов-----//
case '28':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
mysql_query("TRUNCATE TABLE `clan`");
mysql_query("TRUNCATE TABLE `clan_buildings`");
mysql_query("TRUNCATE TABLE `clan_user_time`");
mysql_query("TRUNCATE TABLE `clanchat`");
mysql_query("TRUNCATE TABLE `clanlog`");
mysql_query("TRUNCATE TABLE `clanwar`");
mysql_query("UPDATE `users` SET `clan` = '', `dolz` = '', `clanexp` = ''");



echo'<div class="main"><div class="block_zero center">Кланы удалены!</div></div>';
echo'<div class="dot-line"></div><div class="main"><div class="block_zero"><a href="adm_panel.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
//-----КОНЕЦ-----//

//-----ПРОСМОТР ЛОГОВ-----//
case 'logiprosm':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
echo"<div class='main'><div class='menuList'>";
echo"<li><a href=\"adm_panel.php?mod=logi&log=out&nick=$_GET[usr]\"><img src=\"image/icon/arrow.png\" alt=\"*\"/>Логи передачи</a></li>";
echo"<li><a href=\"adm_panel.php?mod=logi&log=up&nick=$_GET[usr]\"><img src=\"image/icon/arrow.png\" alt=\"*\"/>Логи получения</a></li></div></div>";
break;

case 'logi':
if($udata['prava']<5){
echo'Доступ закрыт!';
include($path.'files/down.php');exit;
}
if(empty($_GET['nick'])){
echo"Ошибка не выбран игрок!";
include($path.'files/down.php');
exit;
}
$nick = $_GET['nick'];
if($_GET['log']=="out"){
$tabl="userout";
}
if($_GET['log']=="up"){
$tabl="userup";
}
$req = mysql_query("SELECT * FROM `logi` WHERE `$tabl`='$nick' LIMIT 20");
$avto=mysql_num_rows($req);
if($avto==0){
echo" Нет переводов !<br>";
echo"<a href=\"adm_panel.php?mod=logiprosm&usr=$nick\">« Назад</a>";
include($path.'files/down.php');
exit;
}else{
While($loger = mysql_fetch_array($req)){
if($_GET['log']=="out"){
echo"$loger[text] игроку $loger[userup] <b>Время:</b> $loger[time]<br>$div";
}
if($_GET['log']=="up"){echo"$loger[text] от игрока $loger[userout] <b>Время:</b> $loger[time]<br>$div";
}
}
echo"<a href=\"adm_panel.php?mod=logiprosm&usr=$nick\">« Назад</a>";
}
break;









}
include($path.'files/down.php');
?>